Page MenuHomePhabricator

Mark TestCModules as XFAIL on OSX
ClosedPublic

Authored by ovyalov on Aug 11 2015, 4:07 PM.

Details

Summary

Mark TestCModules as XFAIL on OSX in order to make build bot green - http://lab.llvm.org:8011/builders/lldb-x86_64-darwin-13.4/builds/4722
Bug - http://llvm.org/pr24302

Diff Detail

Event Timeline

ovyalov updated this revision to Diff 31875.Aug 11 2015, 4:07 PM
ovyalov retitled this revision from to Mark TestCModules as XFAIL on OSX.
ovyalov updated this object.
ovyalov added reviewers: spyffe, chying, clayborg.
ovyalov added a subscriber: lldb-commits.
chying edited edge metadata.Aug 11 2015, 5:04 PM

Could you add the related bug to comments or argument?
llvm.org/pr24302

ovyalov updated this object.Aug 11 2015, 6:20 PM
ovyalov edited edge metadata.
chying accepted this revision.Aug 11 2015, 7:06 PM
chying edited edge metadata.

Sorry I mean in the code, like,
@expectedFailureDarwin('llvm.org/pr24302')
Otherwise, looks good to me.

This revision is now accepted and ready to land.Aug 11 2015, 7:06 PM
ovyalov updated this revision to Diff 31956.Aug 12 2015, 10:35 AM
ovyalov edited edge metadata.

Added bug id to XFAIL decorators

Ping? It's been a week, and the buildbot is still red because of this: http://lab.llvm.org:8011/builders/lldb-x86_64-darwin-13.4/builds/4923

clayborg accepted this revision.Aug 18 2015, 1:26 PM
clayborg edited edge metadata.

Please commit.

No need to wait for Sean.

ovyalov closed this revision.Aug 18 2015, 2:22 PM

Files:

/lldb/trunk/test/lang/c/modules/TestCModules.py

Users:

ovyalov (Author)

http://reviews.llvm.org/rL245357